﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ManageCustomer.ascx.cs" Inherits="Smith.DNN.Modules.Registration.ManageCustomer" %>

<link type="text/css" href='<%= ResolveUrl("~/DesktopModules/SmithCommon/css/scDateTime.css") %>' rel="stylesheet" />
<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDateTime.js") %>'></script>

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />

<asp:MultiView runat="server" ID="mvMain">

  <asp:View ID="viewEditCustomer" runat="Server">
  
  <table width="100%" cellpadding="5">
    <tr height="35px"><td colspan="2"><span class="SmithText16">Search Customers</span></td></tr>
    <tr align="left">
        <td colspan="2">
            <div style="display:inline-table;">
                Date From:&nbsp;&nbsp;
                 <input ID="txtFromDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                 <script type="text/javascript">
                     $('[id$="txtFromDate"]').datetimepicker({
                         format: 'm/d/Y',
                         timepicker: false
                     });
                </script>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </div>
            <div style="display:inline-table;">
                Date To:&nbsp;&nbsp;
                 <input ID="txtToDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                  <script type="text/javascript">
                      $('[id$="txtToDate"]').datetimepicker({
                          format: 'm/d/Y',
                          timepicker: false
                      });
                 </script> 
            </div>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr align="left">
        <td>
             <asp:TextBox ID="txtSearch" runat="server" Width="250px" />&nbsp;
             <asp:LinkButton ID="btnFilter" runat="server" OnClick="btnFilter_Click" Text="Search" CssClass="dnnPrimaryAction" />&nbsp;&nbsp
             <asp:LinkButton ID="btnShowAll" runat="server" OnClick="btnShowAll_Click" Text="Clear" CssClass="dnnSecondaryAction" />
        </td>
    </tr>
    <tr><td><asp:Label ID="lblMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" /></td></tr>
</table>


<table width="100%" cellpadding="0" cellspacing="0">
    <tr>
        <td>
            <asp:LinkButton ID="btnShowAddScreen" runat="server" CausesValidation="false" OnClick="btnShowAddScreen_Click" CssClass="scMyAcctBtn" Font-Underline="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/add.gif") %>' />&nbsp;<%= Localization.GetString("btnAdd.Text", LocalResourceFile)%></asp:LinkButton>&nbsp;&nbsp;
            <asp:LinkButton ID="btnExport" runat="server" CausesValidation="false" OnClick="btnExport_Click" CssClass="scMyAcctBtn" Font-Underline="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/export.png") %>' />&nbsp;<%= Localization.GetString("btnExport.Text", LocalResourceFile)%></asp:LinkButton>
            <div style="float:right"><asp:LinkButton ID="btnDeleteSelected" runat="server" CausesValidation="false" OnClick="btnDeleteSelected_Click" OnClientClick="if (!confirm('Are you sure you want delete?')) return false;" CssClass="scMyAcctBtn" Font-Underline="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/delete.png") %>' />&nbsp;<%= Localization.GetString("btnDelete.Text", LocalResourceFile)%></asp:LinkButton></div>
        </td>
    </tr>
    <tr><td>

        <asp:GridView ID="grdCustomer" runat="server" DataKeyNames="CustomerID" AutoGenerateColumns="false" AllowSorting="true"
            Width="100%" GridLines="Horizontal"
            CssClass="scAdminGrid2" AlternatingRowStyle-CssClass="alt"
            OnSorting="grdCustomer_Sorting" 
            OnRowCreated="grdCustomer_RowCreated" >  
           
            <Columns>
                <asp:TemplateField ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Center" >
                    <ItemTemplate>
                        <asp:LinkButton CausesValidation="false"  ID="lnkEditCustomer" runat="server" OnClick="lnkEditCustomer_Click"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/edit.png") %>' /></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="ID" SortExpression="CustomerID" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" HeaderStyle-Height="17px" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate >
                        <asp:Label ID="lblCustomerID" runat="server" Text='<%#Eval("CustomerID") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
               
                <asp:TemplateField HeaderText="First Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblFirstName" runat="server" Text='<%#Eval("FirstName") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                    
                <asp:TemplateField HeaderText="Last Name" SortExpression="LastName" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblLastName" runat="server" Text='<%#Eval("LastName") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                    
                <asp:TemplateField HeaderText="Address" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblAddress" runat="server" Text='<%#Eval("Address1") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                    
                <asp:TemplateField HeaderText="City" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblCity" runat="server" Text='<%#Eval("City") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                    
                <asp:TemplateField HeaderText="State" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblState" runat="server" Text='<%#Eval("State") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                    
                <asp:TemplateField HeaderText="Country" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblCountry" runat="server" Text='<%#Eval("Country") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                    
                <%--<asp:TemplateField HeaderText="Postal Code" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblZip" runat="server" Text='<%#Eval("Zip") %>' />
                    </ItemTemplate>
                </asp:TemplateField>--%>
                    
               <%-- <asp:TemplateField HeaderText="Telephone" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblPhone" runat="server" Text='<%#Eval("workphone") %>' />
                    </ItemTemplate>
                </asp:TemplateField>--%>

                <asp:TemplateField HeaderText="DNN Login" SortExpression="dnnlogin" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblDNNLogin" runat="server" Text='<%#Eval("dnnlogin") %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                 <asp:TemplateField HeaderText="Create Date" SortExpression="PayDate" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblCreateDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"DateCreated")) %>' />
                    </ItemTemplate>
                </asp:TemplateField>


                 <asp:TemplateField>
                    <HeaderTemplate>
                        <asp:CheckBox ID="chkSelectAll" runat="server" AutoPostBack="true" OnCheckedChanged="chkSelectAll_CheckedChanged"/>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <asp:CheckBox ID="chkSelect" runat="server"/>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <EmptyDataTemplate>
                <asp:Label ID="lblNoRecordsMsg" runat="server" Text="No Records found." CssClass="SmithProdText" />
            </EmptyDataTemplate>
        </asp:GridView>
   
   </td></tr>    
    <tr>
        <td align="center" colspan="2">
            <asp:LinkButton ID="lbFirst" runat="server" OnClick="lbFirst_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/first.png") %>' /></asp:LinkButton>
            <asp:LinkButton ID="lbPrev" runat="server" OnClick="lbPrev_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/previous.png") %>' /></asp:LinkButton>
            <asp:Label ID="lblResult" runat="server" CssClass="SmithProdText"/>
            <asp:LinkButton ID="lbNext" runat="server" OnClick="lbNext_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/next.png") %>' /></asp:LinkButton>
            <asp:LinkButton ID="lbLast" runat="server" OnClick="lbLast_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/last.png") %>' /></asp:LinkButton>&nbsp;&nbsp;&nbsp;
             Records:&nbsp;
            <asp:DropDownList ID="ddlRecords" runat="server" Width="57px" OnSelectedIndexChanged="ddlRecords_SelectedIndexChanged" AutoPostBack="True">
                <asp:ListItem>10</asp:ListItem>
                <asp:ListItem>20</asp:ListItem>
                <asp:ListItem>50</asp:ListItem>
                <asp:ListItem>100</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>  
</table>


</asp:View>

  <asp:View ID="viewAddCustomer" runat="server">

  <div class="scux-form">
     <table cellpadding="5"> 
        <tr align="left"><td colspan="2"><h2><asp:Label ID="lblEditorTitle" runat="server" Text="Add Customer" /></h2></td></tr>

        <tr ID="trCID" runat="server">
            <td nowrap="nowrap" align="right" >Customer ID:&nbsp;</td>
            <td align="left"><asp:Label ID="lblCustomerID" runat="server"  /></td>
        </tr>

        <tr>
            <td align="right" nowrap="nowrap" ><%= Localization.GetString("txtFirst_Name.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
            <td align="left">
                <asp:TextBox ID="txtFirstName" runat="server" MaxLength="50" Width="200px" AutoCompleteType="Disabled"  ValidationGroup="ShipTo"/>
                <asp:RequiredFieldValidator ID="rfvFirstName" runat="server" ControlToValidate="txtFirstName" Display="Dynamic" ErrorMessage="Required"  ValidationGroup="ShipTo" />
           </td>
        </tr>

        <tr>
            <td align="right" nowrap="nowrap" ><%= Localization.GetString("txtLast_Name.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
            <td align="left">
                <asp:TextBox ID="txtLastName" runat="server" MaxLength="50"  Width="200px" ValidationGroup="ShipTo"/>
                <asp:RequiredFieldValidator ID="rfvLastName" runat="server" ControlToValidate="txtLastName" Display="Dynamic" ErrorMessage="Required"  ValidationGroup="ShipTo"/>
            </td>
        </tr>

        <tr>
            <td align="right" ><%= Localization.GetString("txtAddress_1.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
            <td align="left">
                <asp:TextBox ID="txtAddress" runat="server" MaxLength="100" Width="200px"  ValidationGroup="ShipTo"/>
                <asp:RequiredFieldValidator ID="rfvAddress" runat="server" Display="Dynamic" ControlToValidate="txtAddress"  ErrorMessage="Required" ValidationGroup="ShipTo"/>
            </td>
        </tr>

        <tr>
            <td align="right" ><%= Localization.GetString("txtAddress_2.Text", LocalResourceFile)%>&nbsp;&nbsp; </td>
            <td align="left">
                <asp:TextBox ID="txtAddress2" runat="server" MaxLength="100" Width="200px" />
            </td>
        </tr>

        <tr>
            <td align="right" ><%= Localization.GetString("txtCity.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
            <td align="left">
                <asp:TextBox ID="txtCity" runat="server" MaxLength="50"  Width="200px" ValidationGroup="ShipTo"/>
                <asp:RequiredFieldValidator ID="rfvCity" runat="server" Display="Dynamic" ControlToValidate="txtCity"  ErrorMessage="Required" ValidationGroup="ShipTo"/>
            </td>
        </tr>
        
        <tr>
            <td align="right" ><%= Localization.GetString("txtCountry.Text", LocalResourceFile)%>&nbsp;&nbsp;</td>
            <td align="left">
                <asp:DropDownList ID="ddlCountry" Width="200px" runat="server" OnSelectedIndexChanged="ddlCountry_SelectedIndexChanged" AutoPostBack="True" AppendDataBoundItems="true" ValidationGroup="ShipTo">
                    <asp:ListItem Value="0">-Select Country-</asp:ListItem>
                    </asp:DropDownList>
                <asp:RequiredFieldValidator ID="rfvddlCountry" runat="server" ControlToValidate="ddlCountry" InitialValue="0" Height="18px" Width="56px" Display="Dynamic"  ErrorMessage="*Required" ValidationGroup="ShipTo"/>
            </td>
        </tr>
        
        <tr>
            <td align="right" ><%= Localization.GetString("txtState_Region.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
            <td align="left" valign="top">
                <asp:DropDownList ID="ddlState" runat="server" Width="200px" />                
                <asp:TextBox ID="txtState" runat="server" Visible="false" Width="200px"  MaxLength="50" ValidationGroup="ShipTo"/>
                <asp:RequiredFieldValidator ID="rfvState" Display="Dynamic" runat="server" ControlToValidate="ddlState" InitialValue="0"  ErrorMessage="Required" ValidationGroup="ShipTo"/>
            </td>
        </tr>
        
        <tr>
            <td align="right" ><%= Localization.GetString("txtZip_Code.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
            <td align="left">
                <asp:TextBox ID="txtZip" runat="server" MaxLength="10" Width="200px" Columns="10"  ValidationGroup="ShipTo"/>
                <asp:RequiredFieldValidator ID="rfvZip" Display="Dynamic" runat="server" ControlToValidate="txtZip"  ErrorMessage="Required" ValidationGroup="ShipTo"/>
            </td>
        </tr>
        
        <tr>
            <td align="right" ><%= Localization.GetString("txtEmail.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
            <td align="left">
                <asp:TextBox ID="txtEmail" runat="server" MaxLength="50" Width="200px"  ValidationGroup="ShipTo"/>
                <asp:RequiredFieldValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail" Display="Dynamic"  ErrorMessage="Required" ValidationGroup="ShipTo" />
                <asp:RegularExpressionValidator ID="revEmail" runat="server" ControlToValidate="txtEmail" Display="Dynamic"
                        ErrorMessage="Invalid Email Address." ValidationExpression="^[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]\.[a-zA-Z][a-zA-Z\.]*[a-zA-Z]$" ValidationGroup="ShipTo" />
            </td>
        </tr>
        
        <tr>
            <td nowrap="nowrap" align="right" ><%= Localization.GetString("txtWork_Phone.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
            <td align="left">
                <asp:TextBox ID="txtWorkPhone" runat="server" MaxLength="30" Columns="15" Width="200px"  ValidationGroup="ShipTo"/>
                <asp:RequiredFieldValidator ID="rfvWorkPhone" runat="server" ControlToValidate="txtWorkPhone" Display="Dynamic"  ErrorMessage="Required" ValidationGroup="ShipTo"/>
               <%-- <asp:RegularExpressionValidator ID="rfvPhone1" ValidationExpression="^([0-9\(\)\/\+ \-]*)$" runat="server" ErrorMessage="Enter a valid phone"/>--%>
            </td>
        </tr>
        
        <tr>
            <td nowrap="nowrap" align="right" ><%= Localization.GetString("txtCell_Phone.Text", LocalResourceFile)%></td>
            <td align="left"><asp:TextBox ID="txtCellPhone" runat="server" MaxLength="30" Columns="15" Width="200px" /></td>
        </tr>
         
        <tr>
            <td nowrap="nowrap" align="right" ><%= Localization.GetString("txtHome_Phone.Text", LocalResourceFile)%></td>
            <td align="left"><asp:TextBox ID="txtHomePhone" runat="server" MaxLength="30" Columns="15" Width="200px" /></td>
        </tr>
        
        <tr>
            <td nowrap="nowrap" align="right" >DNN Login:&nbsp;</td>
            <td align="left"><asp:TextBox ID="txtDNNLogin" runat="server" Width="200px" /></td>
        </tr>
           
    </table>
</div>

    <ul class="dnnActions dnnClear">
        <li><asp:LinkButton ID="btnAddCustomer" runat="server" OnClick="btnAddCustomer_Click" CssClass="dnnPrimaryAction" Text="Save" /></li>
        <li><asp:LinkButton ID="btnCancel" runat="server" OnClick="btnCancel_Click" CssClass="dnnSecondaryAction" Text="Cancel" CausesValidation="false" /></li>
    </ul>

</asp:View>

</asp:MultiView>


<asp:HiddenField ID="hdCustomerID" runat="server" />

