<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.ManageCategory" Codebehind="ManageCategory.ascx.cs" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<link type="text/css" href='<%= ResolveUrl("~/DesktopModules/SmithCommon/css/scDateTime.css") %>' rel="stylesheet" />
<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDateTime.js") %>'></script>

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />

<asp:MultiView runat="server" ID="mvMain">

  <asp:View ID="viewEditCategory" runat="Server">

   <div class="left"><h2>Manage Categories</h2></div>
   
    <table width="100%">
        <tr><td><asp:Label ID="lblStatus" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" /></td></tr>
        <tr><td align="left">
            <asp:LinkButton ID="btnShowAddScreen" runat="server" onclick="btnShowAddScreen_Click" Text="Add Category" CausesValidation="false" CssClass="dnnPrimaryAction" />
        </td></tr>
        <tr>
            <td>
                <asp:GridView ID="grdCategories" runat="server" AutoGenerateColumns="false" OnRowDeleting="grdCategories_RowDeleting" DataKeyNames="CategoryID"
                    CssClass="scAdminGrid2" Width="100%" GridLines="None"
                    AlternatingRowStyle-CssClass="alt">
          
                    <Columns>
                        <asp:TemplateField ShowHeader="False">
                            <ItemTemplate>
                                <asp:LinkButton ID="EditButton" runat="server" OnClick="btnEditCategory_Click"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/edit.png") %>' /></asp:LinkButton>
                            </ItemTemplate>
                        </asp:TemplateField>
                       
                        <asp:TemplateField HeaderText="Category ID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" >
                            <ItemTemplate>
                                <asp:Label ID="lblCategoryID" runat="server" Text='<%#Eval("CategoryID") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                    
                        <asp:TemplateField HeaderText="Sort Order" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" >
                            <ItemTemplate>
                                <asp:Label ID="lblSortOrder" runat="server" Text='<%#Eval("SortOrder") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                    
                        <asp:TemplateField HeaderText="Category Name" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblCategoryName" runat="server" Text='<%#Eval("CategoryName") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Parent Category" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                            <ItemTemplate>
                                <asp:Label ID="lblParentCategory" runat="server" Text='<%#Eval("ParentCategoryName") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
  
                        <asp:CommandField ShowDeleteButton="True" ButtonType="Image" DeleteImageUrl="~/DesktopModules/SmithRegistration/Images/trash.png" />

                    </Columns>

                    <EmptyDataTemplate>No Categories Added</EmptyDataTemplate>

                </asp:GridView>
            </td>
        </tr>
        <tr><td>&nbsp;</td></tr>
    </table>

</asp:View>

<asp:View ID="viewAddCategory" runat="server">

<h2><asp:Label ID="lblEditorTitle" runat="server" Text="Manage Category" /></h2>

<table cellpadding="5">
    
    <tr align="left">
        <td><dnn:Label CssClass="sText" ID="lblSortOrder" runat="server"/></td>
        <td><asp:TextBox runat="server" ID="txtSortOrder" /></td>
    </tr>

     <tr>
        <td><dnn:Label ID="lblParentCat" runat="server"/></td>
        <td><asp:DropDownList ID="ddlParentCategory" runat="server" CssClass="scTxtBoxLimit450"></asp:DropDownList></td>
    </tr>
    
    <tr align="left">
        <td style="width:25%; white-space:nowrap;"><dnn:Label CssClass="sText" ID="lblCategoryName" runat="server"/></td>
        <td><asp:TextBox ID="txtCategory" runat="server" width="95%" CssClass="tLimitSize350"/></td>
    </tr>

    <tr>
        <td><dnn:Label ID="lblStartDate" CssClass="SmithTextAlignLeft" runat="server" /></td>
        <td>
            <input ID="txtStartDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                <script type="text/javascript">
                    $('[id$="txtStartDate"]').datetimepicker({
                        format: 'm/d/Y',
                        timepicker: false
                    });
                </script>
        </td>
    </tr>
  
    <tr>
        <td><dnn:Label ID="lblEndDate" CssClass="SmithTextAlignLeft" runat="server" /></td>
        <td>
            <input ID="txtEndDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                <script type="text/javascript">
                    $('[id$="txtEndDate"]').datetimepicker({
                        format: 'm/d/Y',
                        timepicker: false
                    });
                </script>
        </td>
    </tr>

   <tr align="left">
        <td class="SmithProdText"><dnn:Label CssClass="sText" ID="lblDesc" runat="server" /></td>
    </tr>

    <tr>
        <td colspan="2" ><dnn:TextEditor ID="teDescription" runat="server" ChooseMode="True" ChooseRender="False" DefaultMode="Rich" Height="350" HtmlEncode="False" TextRenderMode="Raw" width="100%"/></td>
    </tr>

</table>

  <ul class="dnnActions dnnClear">
        <li><asp:LinkButton ID="btnSave" runat="server" OnClick="btnSave_Click" CssClass="dnnPrimaryAction" Text="Save" /></li>
        <li><asp:LinkButton ID="btnCancel" runat="server" OnClick="btnCancel_Click" CssClass="dnnSecondaryAction" Text="Cancel" CausesValidation="false" /></li>
    </ul>

</asp:View>

</asp:MultiView>

